<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ page import="java.sql.*"%>
<%@ page import="java.sql.Connection" %>
<%@ page import="java.sql.DriverManager" %>
<%@ page import="java.sql.PreparedStatement" %>
<%@ page import="java.sql.ResultSet" %>
<% request.setCharacterEncoding("utf-8");%>
<%@ page session = "true" %>
<%
String id=request.getParameter("id");
String passwd=request.getParameter("passwd");
String name=request.getParameter("name");
ResultSet rs=null;

String sql=null;
try{
	   Class.forName("oracle.jdbc.driver.OracleDriver");
	   Connection  conn=DriverManager.getConnection("jdbc:oracle:thin:@168.126.146.45:1521:orcl","20162510","950505");
	   sql="select * from o_member where id=? ";
	   PreparedStatement pstmt=conn.prepareStatement(sql);
	   pstmt.setString(1, id);
	   
	   rs=pstmt.executeQuery(); //결과 가져옴
	  
	  if(rs.next()){
	  String dbPass=rs.getString("password");
	  if(passwd.equals(dbPass)){
	  	  pstmt=conn.prepareStatement("update o_member set name=?  where id=? and password=?");
		                                    //UPDATE 테이블명 SET 컬럼명=새로운값 WHERE 업데이트조건 
		  pstmt.setString(1,name);
		  pstmt.setString(2,id);
		  pstmt.setString(3,passwd);
		  
		  pstmt.executeUpdate();
		  out.println("회원정보수정 성공!");
	 }else{
	 out.println("비밀번호가 틀렸습니다 다시 확인해주세요!");
	 }}

}catch(Exception e){
e.printStackTrace();
}finally{
}
%>
<script type="text/javascript">

function gomain(){
	location.href="http://localhost:8080/20162510/main.jsp";
}
</script>
<input type="button" value="돌아가기" onclick="gomain();" >


